clan::SHA512_224 Class Reference - ClanLib SDK
Description: clan::SHA512_224 Class Reference

Public Member Functions | Static Public Attributes | List of all members
clan::SHA512_224 Class Reference
clanCore Crypto

SHA-512_224 hash function class. More...

`#include <sha512_224.h>`

## Public Member Functions
| SHA512_224 ()
| Constructs a SHA-512_224 hash generator.
void | add (const DataBuffer &data)
| Add.
void | add (const void *data, int size)
| Adds data to be hashed.
void | calculate ()
| Finalize hash calculation.
std::string | get_hash (bool uppercase=false) const
| Returns the calculated hash.
void | get_hash (unsigned char out_hash[hash_size]) const
| Get hash.
void | reset ()
| Resets the hash generator.
void | set_hmac (const void *key_data, int key_size)
| Enable a HMAC based calculation.

## Static Public Attributes
static const int | hash_size = 28

## Detailed Description

SHA-512_224 hash function class.

## Constructor & Destructor Documentation

## ◆ SHA512_224()

clan::SHA512_224::SHA512_224 | ( |  | ) |

Constructs a SHA-512_224 hash generator.

## Member Function Documentation

## ◆ add() [1/2]

void clan::SHA512_224::add | ( | const DataBuffer & | data | ) |

Add.

Parameters

  data | = Data Buffer

## ◆ add() [2/2]

void clan::SHA512_224::add | ( | const void * | data,
|  | int | size )

Adds data to be hashed.

## ◆ calculate()

void clan::SHA512_224::calculate | ( |  | ) |

Finalize hash calculation.

## ◆ get_hash() [1/2]

std::string clan::SHA512_224::get_hash | ( | bool | uppercase = false | ) | const

Returns the calculated hash.

## ◆ get_hash() [2/2]

void clan::SHA512_224::get_hash | ( | unsigned char | out_hash[hash_size] | ) | const

Get hash.

Parameters

  out_hash | = where to write to

## ◆ reset()

void clan::SHA512_224::reset | ( |  | ) |

Resets the hash generator.

## ◆ set_hmac()

void clan::SHA512_224::set_hmac | ( | const void * | key_data,
|  | int | key_size )

Enable a HMAC based calculation.

Call this function before the initial add(). It is reset by reset()

Parameters

  key_data | = The HMAC key
  key_size | = The size of the key_data

## Member Data Documentation

## ◆ hash_size

const int clan::SHA512_224::hash_size = 28
| static

The documentation for this class was generated from the following file:

- sha512_224.h